Package org.apache.wiki.ajax

## Interface WikiAjaxServlet

All Known Implementing Classes:
  `DefaultProgressManager.JSONTracker`, `DefaultSearchManager.JSONSearch`, `DefaultUserManager.JSONUserModule`, `SampleAjaxPlugin`

    public interface WikiAjaxServlet

An interface for a servlet that wants to use Ajax functionality. See `SampleAjaxPlugin`

Since:
  2.10.2-svn12

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getServletMapping()`
`void` `service​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String actionName, java.util.List<java.lang.String> params)`

### Method Detail

#### getServletMapping

    java.lang.String getServletMapping()

#### service

    void service​(javax.servlet.http.HttpServletRequest request,
                 javax.servlet.http.HttpServletResponse response,
                 java.lang.String actionName,
                 java.util.List<java.lang.String> params)
          throws javax.servlet.ServletException,
                 java.io.IOException

Throws:
  `javax.servlet.ServletException`
  `java.io.IOException`